python-pypuppetdb_0.1.1+git080614-1_all.deb


Advertisement

Description

python-pypuppetdb - interface to the PuppetDB REST API

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pypuppetdb
Package version 0.1.1+git080614
Package release 1
Package architecture all
Package type deb
Installed size 117 B
Download size 19.14 KB
Official Mirror archive.ubuntu.com
This library provides a Python interface to the PuppetDB REST API.
It's a thin wrapper around the PuppetDB REST API providing some
convinience functions and objects to request and hold data from PuppetDB.

Alternatives

Package Version Architecture Repository
python-pypuppetdb_0.1.1+git080614-1_all.deb 0.1.1+git080614 all Ubuntu Universe
python-pypuppetdb - - -

Requires

Name Value
python-requests -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pypuppetdb_0.1.1+git080614-1_all.deb
Source Package pypuppetdb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pypuppetdb deb package:
    # sudo apt-get install python-pypuppetdb

Files

Path
/usr/lib/python2.7/dist-packages/pypuppetdb/__init__.py
/usr/lib/python2.7/dist-packages/pypuppetdb/errors.py
/usr/lib/python2.7/dist-packages/pypuppetdb/package.py
/usr/lib/python2.7/dist-packages/pypuppetdb/types.py
/usr/lib/python2.7/dist-packages/pypuppetdb/utils.py
/usr/lib/python2.7/dist-packages/pypuppetdb-0.1.1+git080614.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pypuppetdb-0.1.1+git080614.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pypuppetdb-0.1.1+git080614.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pypuppetdb-0.1.1+git080614.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pypuppetdb/api/__init__.py
/usr/lib/python2.7/dist-packages/pypuppetdb/api/v2.py
/usr/lib/python2.7/dist-packages/pypuppetdb/api/v3.py
/usr/share/doc/python-pypuppetdb/README.rst.gz
/usr/share/doc/python-pypuppetdb/changelog.Debian.gz
/usr/share/doc/python-pypuppetdb/copyright

Changelog

2015-06-04 - Jonas Genannt <genannt@debian.org>
pypuppetdb (0.1.1+git080614-1) unstable; urgency=low
* Initial release. (Closes: #756009)

See Also

Package Description
python-pypureomapi_0.4-1_all.deb ISC DHCP OMAPI protocol implementation in Python2
python-pypy.sandbox_5.0.1+dfsg-4_amd64.deb sandboxed PyPy interpreter
python-pyqt5.qsci_2.9.1+dfsg-4build1_amd64.deb Python bindings for QScintilla 2 with Qt 5
python-pyqt5.qtmultimedia_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's Multimedia module
python-pyqt5.qtopengl_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's OpenGL module
python-pyqt5.qtpositioning_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtPositioning module
python-pyqt5.qtquick_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtQuick module
python-pyqt5.qtsensors_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtSensors module
python-pyqt5.qtserialport_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtSerialPort module
python-pyqt5.qtsql_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's SQL module
python-pyqt5.qtsvg_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's SVG module
python-pyqt5.qtwebkit_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's WebKit module
python-pyqt5.qtwebsockets_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's WebSockets module
python-pyqt5.qtx11extras_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtX11Extras module
python-pyqt5.qtxmlpatterns_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's XmlPatterns module
Advertisement
Advertisement